%define name aspell
%define version .28.3
%define release 1mdk

Summary: An Open Source interactive spelling checker program.
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Text
Source0: %{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-root
Copyright: GPL

%description
Aspell is an Open Source spell checker designed to eventually replace ispell.
Its main feature is that it does a much better job of coming up with possible
suggestions than ispell does. In fact recent tests shows that it even does
better than Microsoft Word 97's spell checker in some cases. In addition it
has both compile time and run time support for other non English languages.
Aspell also doubles as a powerful C library with C and Perl interfaces in the works.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%configure 

%build

# Make config.sh first
make CFLAGS="$RPM_OPT_FLAGS" 


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/info

# Roll in the build-root'ed version (with time-stamp!)
make install prefix=$RPM_BUILD_ROOT

bzip2 -9f $RPM_BUILD_ROOT/usr/info/*

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

strip -sp $RPM_BUILD_ROOT/usr/bin/*

(cd $RPM_BUILD_ROOT;find -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >$RPM_BUILD_DIR/file.list.%{name})
(cd $RPM_BUILD_ROOT;find -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >>$RPM_BUILD_DIR/file.list.%{name})

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{name}

%files -f ../file.list.%{name}
%defattr(-,root,root)

%changelog 
* Thu Jan 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 28.3-1mdk
- v28.3 

%changelog
* Fri Aug 27 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
